Subject: Re: bug#9561: Sort behaves differently

From: vijay krishna <[email-masked]>
Date: Wed, 21 Sep 2011 08:17:04 +0530

Hello Paul,

    Just thought of informing you.
I could not find  '--debug' option in the sort help.
Sort could not even recognize the option.

Currently I am using the following version of sort.
Kindly inform if a latest version is available.

0 $ sort --version
sort (GNU coreutils) 8.5
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.
0 $ sort --debug
sort: unrecognized option '--debug'
Try `sort --help' for more information.

---
Regards,
Krishna

On Wed, Sep 21, 2011 at 12:06 AM, Paul Eggert <[email-masked]> wrote:

> "sort --help" explains your problem, I expect:
>
>  *** WARNING ***
>  The locale specified by the environment affects sort order.
>  Set LC_ALL=C to get the traditional sort order that uses
>  native byte values.
>
> Hmm, perhaps we should change the output of "sort --help"?
> We could change this:
>
>  Report sort bugs to [email-masked]
>
> to this:
>
>  Please use the --debug option when reporting bugs.
>  Report sort bugs to [email-masked]
>